﻿/*------------------------------------------------------------------------------
* main.cpp : メインクラス
*
*    Copyright (C) 2014 by Geospatial Information Authority of Japan,
*    All rights reserved.
*    
*    Released under the GPL Licenses.
*
*
*  Original software: ANTTOOL ver.2.1
*
*    Copyright(c) 2007-2011 by T.Takasu, all rights reserved.
*
*
* references :
*
* history : 2015/01/08  1.0  new
*-----------------------------------------------------------------------------*/

#include "MainWindow.h"
#include <string>
#include <QApplication>

using namespace std;

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    MainWindow w;

    // 起動引数にINIファイルがある場合
    QString iniFilepath = ANTLIB_INIFILENAME;
    if (argc > 1) {
        string iniFilename = argv[1];
        iniFilepath = QString::fromStdString(iniFilename);
    }

    if (!QFile::exists(iniFilepath)) {
        QTextCodec *pQTextCodec = QTextCodec::codecForLocale();
        QString title = pQTextCodec->toUnicode("設定ファイル読込エラー");
        QString msg = pQTextCodec->toUnicode("設定ファイルが見つかりません\n file=") + iniFilepath;
        QMessageBox::warning(NULL, title, msg, QMessageBox::Ok);
        return -1;
    }

    // 初期化
    w.initialize(iniFilepath);

    // アプリケーションの実行
    w.show();
    return a.exec();
}
