﻿/*------------------------------------------------------------------------------
* AntLibBase.h : ANTLib基底クラス
*
*    Copyright (C) 2014 by Geospatial Information Authority of Japan,
*    All rights reserved.
*    
*    Released under the GPL Licenses.
*
*
*  Original software: ANTTOOL ver.2.1
*
*    Copyright(c) 2007-2011 by T.Takasu, all rights reserved.
*
*
* references :
*
* history : 2015/01/08  1.0  new
*-----------------------------------------------------------------------------*/

#ifndef ANTLIBBASE_H
#define ANTLIBBASE_H
#include <iostream>
#include <string>
#include <sstream>
#include <iomanip>
#include "rtklib.h"
#include "AntLibTool.h"

/** ANTLib基底クラス
 * @brief The AntLibBase class
 */
class AntLibBase
{
public:
    AntLibBase();
    virtual ~AntLibBase();

    // log
    void outputLog(int level, std::string msg, std::string pos);
    void outputLog(int level, std::string msg, double val, std::string pos);
    void outputLog(int level, std::string msg, gtime_t time, std::string pos);
    void outputVector(int level, std::string msg, const double* vec, int num, int precision, std::string pos);

    // static
    static void setLogLevel(int level);
    static void setStream(std::ostream *fstr);
    static void clearStream();

protected:
    static void traceLog(int level, std::string msg, std::string pos);

    /** ログレベル
     * @brief logLevel
     */
    static int logLevel;

    /** ログ出力先
     * @brief logStream
     */
    static std::ostream *logStream;
};

#endif // ANTLIBBASE_H
