﻿/*------------------------------------------------------------------------------
* AntLibException.ccp : 例外クラス
*
*    Copyright (C) 2014 by Geospatial Information Authority of Japan,
*    All rights reserved.
*    
*    Released under the GPL Licenses.
*
*
*  Original software: ANTTOOL ver.2.1
*
*    Copyright(c) 2007-2011 by T.Takasu, all rights reserved.
*
*
* references :
*
* history : 2015/01/08  1.0  new
*-----------------------------------------------------------------------------*/

#include "AntLibException.h"

/** コンストラクタ
 * @brief AntLibException::AntLibException
 * @param msg メッセージ
 */
AntLibException::AntLibException(const std::string& msg)
    : message(msg), position("")
{
}

/** コンストラクタ
 * @brief AntLibException::AntLibException
 * @param msg メッセージ
 * @param pos 発生場所
 */
AntLibException::AntLibException(const std::string& msg, const std::string& pos)
    : message(msg), position(pos)
{
}

/** デストラクタ
 * @brief ~Exception
 */
AntLibException::~AntLibException() throw() {
}

/** メッセージを取得
 * @brief AntLibException::getMessage
 * @return メッセージ
 */
std::string AntLibException::getMessage() {
    return message;
}

/** 発生場所を取得
 * @brief AntLibException::getPosition
 * @return 発生場所
 */
std::string AntLibException::getPosition() {
    return position;
}
