﻿/*------------------------------------------------------------------------------
* AntLibException.h : 例外クラス
*
*    Copyright (C) 2014 by Geospatial Information Authority of Japan,
*    All rights reserved.
*    
*    Released under the GPL Licenses.
*
*
*  Original software: ANTTOOL ver.2.1
*
*    Copyright(c) 2007-2011 by T.Takasu, all rights reserved.
*
*
* references :
*
* history : 2015/01/08  1.0  new
*-----------------------------------------------------------------------------*/

#ifndef ANTLIBEXCEPTION_H
#define ANTLIBEXCEPTION_H
#include <exception>
#include <string>

/** 例外クラス
 * @brief The AntLibException class
 */
class AntLibException : public std::exception
{
public:
    AntLibException(const std::string& msg);
    AntLibException(const std::string& msg, const std::string& pos);
    virtual ~AntLibException() throw();

    std::string getMessage();
    std::string getPosition();

private:
    std::string message;
    std::string position;
};

#endif // ANTLIBEXCEPTION_H
