﻿/*------------------------------------------------------------------------------
* FormatWriter.h : 書式出力クラス
*
*    Copyright (C) 2014 by Geospatial Information Authority of Japan,
*    All rights reserved.
*    
*    Released under the GPL Licenses.
*
*
*  Original software: ANTTOOL ver.2.1
*
*    Copyright(c) 2007-2011 by T.Takasu, all rights reserved.
*
*
* references :
*
* history : 2015/01/08  1.0  new
*-----------------------------------------------------------------------------*/

#ifndef FORMATWRITER_H
#define FORMATWRITER_H

#include "WriterBase.h"
#include <sstream>

/** 書式出力クラス
 * @brief The FormatWriter class
 */
class FormatWriter : public WriterBase
{
public:
    FormatWriter();
    virtual ~FormatWriter();

    void write(std::string str);
    void write(int num, std::string str);
    void write(int num, int val, bool rightFlag = false);
    void write(int num, int val, char fillChar, bool rightFlag = false);
    void write(int num, int precision, double val, bool rightFlag = false);
    void writeSpace(int num);
    void flush();
    void flush(std::string str);

    // static
    static std::string toString(int num, std::string str);
    static std::string toString(int num, int val, char fillChar, bool rightFlag);
    static std::string toString(int num, int precision, double val, bool rightFlag);
    static std::string toStringForSpace(int num);
};

#endif // FORMATWRITER_H
