﻿/*------------------------------------------------------------------------------
* MultipathData.h : マルチパス結果保管補完クラス
*
*    Copyright (C) 2014 by Geospatial Information Authority of Japan,
*    All rights reserved.
*    
*    Released under the GPL Licenses.
*
*
*  Original software: ANTTOOL ver.2.1
*
*    Copyright(c) 2007-2011 by T.Takasu, all rights reserved.
*
*
* references :
*
* history : 2015/01/08  1.0  new
*-----------------------------------------------------------------------------*/

#ifndef MULTIPATHDATA_H
#define MULTIPATHDATA_H

#include <vector>
#include "rtklib.h"
#include "AntLibException.h"

/** マルチパス結果保管補完クラス
 * @brief The MultipathData class
 */
class MultipathData
{
public:
    MultipathData();
    MultipathData(const MultipathData &obj);
    ~MultipathData();

    // static
    static void calculateAMP(std::vector<MultipathData> &vec, int startIdx, int endIdx, int range);

    /** データ時刻
     * @brief time
     */
    gtime_t time;

    /** 衛星
     * @brief sat
     */
    int sat;

    /** AZ/EL
     * @brief azel
     */
    double azel[2];

    /** マルチパスの変動分
     * @brief mp
     */
    double mp;

    /** 単純移動平均結果
     * @brief amp
     */
    double amp;

};

#endif // MULTIPATHDATA_H
