﻿/*------------------------------------------------------------------------------
* NavigationManager.h : 航法データ管理クラス
*
*    Copyright (C) 2014 by Geospatial Information Authority of Japan,
*    All rights reserved.
*    
*    Released under the GPL Licenses.
*
*
*  Original software: ANTTOOL ver.2.1
*
*    Copyright(c) 2007-2011 by T.Takasu, all rights reserved.
*
*
* references :
*
* history : 2015/01/08  1.0  new
*-----------------------------------------------------------------------------*/

#ifndef NAVIGATIONMANAGER_H
#define NAVIGATIONMANAGER_H

#include <iostream>
#include "rtklib.h"
#include "AntLibException.h"

/** 航法データ管理クラス
 * @brief The NavigationManager class
 */
class NavigationManager
{
public:
    NavigationManager();
    ~NavigationManager();

    void setData(nav_t *nav);
    void readNavErr(std::string filepath);

    int getTotalNum();
    int getGloNavNum();
    nav_t* getAll();

    // debug
    void outputInfo(std::ostream &oStr, int startIndex, int num);

private:
    /** 航法データ
     * @brief navData
     */
    nav_t navData;
};

#endif // NAVIGATIONMANAGER_H
