﻿/*------------------------------------------------------------------------------
* ResultWriter.h : 結果出力クラス
*
*    Copyright (C) 2014 by Geospatial Information Authority of Japan,
*    All rights reserved.
*    
*    Released under the GPL Licenses.
*
*
*  Original software: ANTTOOL ver.2.1
*
*    Copyright(c) 2007-2011 by T.Takasu, all rights reserved.
*
*
* references :
*
* history : 2015/01/08  1.0  new
*-----------------------------------------------------------------------------*/

#ifndef RESULTWRITER_H
#define RESULTWRITER_H

#include <vector>
#include "rtklib.h"
#include "WriterBase.h"

#define RESULT_WRITER_DELMITER ","  // デフォルトの区切り文字

/** 結果出力クラス
 * @brief The ResultWriter class
 */
class ResultWriter : public WriterBase
{
public:
    ResultWriter();
    virtual ~ResultWriter();

    void setDelimiter(std::string str);

    void writeLine(std::string str);
    void writeLine(std::vector<double> &vec);
    void writeLine(std::vector<double> &vec, int startIdx, int vecNum, int precision = 0);
    void writeLine(gtime_t gtime, std::vector<double> &vec, int precision = 0);
    void writeLine(double* arrayVal, int dataNum, int precision = 0);
    void flush();

private:
    /** データ区切り文字
     * @brief delimiter
     */
    std::string delimiter;
};

#endif // RESULTWRITER_H
