﻿/*------------------------------------------------------------------------------
* WriterBase.h : ファイル出力基底クラス
*
*    Copyright (C) 2014 by Geospatial Information Authority of Japan,
*    All rights reserved.
*    
*    Released under the GPL Licenses.
*
*
*  Original software: ANTTOOL ver.2.1
*
*    Copyright(c) 2007-2011 by T.Takasu, all rights reserved.
*
*
* references :
*
* history : 2015/01/08  1.0  new
*-----------------------------------------------------------------------------*/

#ifndef WRITERBASE_H
#define WRITERBASE_H

#include <iostream>
#include <iomanip>
#include <string>
#include <fstream>

/** ファイル出力基底クラス
 * @brief The WriterBase class
 */
class WriterBase
{
public:
    WriterBase();
    virtual ~WriterBase();

    void open(std::string filename, bool append);
    void close();
    bool isOpen();
    std::ostream* getStream();

protected:
    /** 出力ストリーム
     * @brief outputStream
     */
    std::ofstream outputStream;

};

#endif // WRITERBASE_H
